html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

#header {
    height: 10vh;
    display: block;
    box-shadow: 3px 3px 1px cadetblue;
    margin-bottom: 0.5em;
    padding: 0.3em;
}

#header-links-list {
    display: none;
    align-self: flex-end;
}
.header-link-item {
    display: inline-block;
}
a {
/*font-size: 0.8em;*/
    color: blue;
    text-decoration: none;
}
.header-link {
    padding: 0.5em;
    padding-right: 2em;
    font-size: 1.3em;
    text-decoration: none;
    color: cornflowerblue;
}

#layout-div {
    display: flex;
}

#actions-div {
    width: 30%;
    overflow: auto;
    padding: 0.5em;
    max-height: 95vh;
    position: absolute;
}

.sticky-actions-div {
    position: fixed !important;
    top: 1vh;
}

.action-div {
    min-height: 20vh;
    margin-bottom: 0.4em;
    border-bottom: dotted grey 1px;
    padding: 0.2em;
    background-color: whitesmoke;
}

.action-name {

}

.action-body {
    line-height: 1.7;
    font-size: 0.9em;
}

#main-div {
    padding-top: 0.3em;
    /* height: 90vh; */
    width: 67%;
    left: 32%;
    position: absolute;
}

.toolbar {
    height: 35px;
    box-sizing: border-box;
    padding: 5px 5px 0;
    display: flex;
    justify-content: space-around;
    margin-bottom: 0.3em;
}

.title-cell {
    font-weight: bold;
    color: darkslateblue;
}

#editor-container {
    width: 100%;
    height: calc(85vh);
    box-sizing: border-box;
    padding: 5px;
}

.meta-table {
    width: 90%;
}

.meta-key-cell {
color: dodgerblue;
}

.meta-val-cell {

}

.meta-row {

}

.tinytabs .section {
    height: 100%;
}

#html-view-annos-wrapper {
    display: flex;;
}

#html-view-annos {
    width: 30%;
    position: absolute;
    border: 1px solid blue;;;
}

#cnt-anno-plus {
    background-color: cadetblue;
    color: white;
    font-weight: 600;;
}

#cnt-anno-new-status {
    background-color: bisque;
}

#cnt-anno-form-submit {

}

#cnt-annos {

}

#cnt-annos-list {

}

.cnt-anno {
    box-shadow: 1px 1px 2px #ccc;
    margin-bottom: 0.7em;
    /* border: 1px dotted grey; */
    padding: 0.2em;
}

.cnt-anno-deleting {
    border: 1px dotted red;;
}

.cnt-anno-jc {
    color: cornflowerblue
    ;
}

.cnt-anno-date {
    font-size: 0.8em;
}

.cnt-anno-action {
    cursor: pointer;
    color: grey;
}

.cnt-anno-action:hover {
    text-decoration: underline;
}

.cnt-anno-text {
    background-color: mintcream;
    white-space: pre-line;
    max-height: 10em;
    overflow: auto;
    padding-left: 0.5em;
}

.summery-elem {
    white-space: pre-line;
    max-height: 10em;
    overflow: auto;
}

#viewer-elem-sel-annos {
    padding: 0em;
    background-color: white;
}

.cnt-anno-section {
    /* border-bottom: 1px solid grey; */
    padding: 0.7em;
    /* margin: 0.3em; */
}


#cnt-annos-status {
    background-color: bisque;
}


.cnt-section {
    background: white;
	overflow: auto;
	padding: 15px;
	clear: both;
	border-radius: 3px;
}

.cnt-tabs {
    margin-left: 15px;
	display: flex;
	flex-flow: row wrap;
	top: 0em;
}

.cnt-tab {
    background: #e1e1e1;
	display: block;
	padding: 6px 15px;
	text-decoration: none;
	color: #666;
	font-weight: bold;

    border-radius: 3px 3px 0 0;
    margin: 0 3px 0 0;
}

.cnt-title {

}

.cnt-tab-sel {
    background: #f1f1f1;
    color: #333;
    border-bottom: solid lightblue;
	text-shadow: none;
}


#edit-div {
    position: fixed;
    bottom: 0em;
    right: 0.7em;
    border: 1px solid grey;
    width: 30em;
    background: white;
    box-shadow: 3px 1px 1px grey;
}

#edit-ibar {
    background-color: lightblue;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
}

#edit-body {
    height: 25em;
    display: none;
    overflow: auto;
}

#edit-js-form-wrapper {
    overflow: auto;
    max-height: 20.7em;
    max-width: 29.7em;
}

div[data-theme="foundation6"] div[data-schemaid="root"]::after, div[data-theme="bootstrap4"] div[data-schemaid="root"]::after, div[data-theme="bootstrap3"] div[data-schemaid="root"]::after {
    content: '' !important;
    margin: 0px !important;
}

#edit-schema-options-wrapper{
    margin: 0.3em;
    display: flex;
}


#edit-js-form {
    border: 1px dotted grey;
    padding: 0.3em;
    margin: 0.2em;
}


#edit-js-form h3 {
    margin-top: 0.2em !important;
    margin-bottom: 0.2em !important;
    font-size: 1.1em !important;;
}

.cnt-anno-choice-wrapper {
    background-color: ghostwhite;
    margin-left: 0.3em;
    display: none;
}


.cnt-anno-choice-item-wrapper{
    /* display: flex; */
    padding-left: 0.3em;
    box-shadow: 1px 1px 1px grey;
    margin-bottom: 0.5em;
}

.cnt-anno-choice-item-wrapper .cnt-anno {
    box-shadow: none;
}

.cnt-anno-choice-item-wrapper .cnt-anno {
    flex-grow: 10;
}

.cnt-anno-action-wrapper {
    display: flex;
    /* flex-direction: column; */
    justify-content: flex-end;
    padding-right: 1em;;
    /* margin-right: 0.3em;
    background-color: white; */
}

.cnt-anno-choice-action-vote {
    cursor: pointer;
    color: grey;
    margin-left: 3em;
}

.cnt-anno-choice-action-vote:hover {
    color: black;;
}

.cnt-anno-choice-vote-casted {
    color: rgb(41, 154, 247);;
}

.cnt-anno-choice-members-class {
    font-size: 0.8em;
    color: grey;
}

.cnt-choice-anno-excl {
    
}

.pointable {
    cursor: pointer;
}


hr {
    margin: 0.3em!important;
}


.default-anno-body-elem {
    
}

#cnt-generate-label {
    background-color: cadetblue;
    text-align: center;
    color: white;
    font-weight: 600;;
}

#cnt-anno-generation-status-block {
    margin: 0.3em;
    background-color: bisque;
}

#cnt-anno-gen-actions {
    margin-left: 1em;
    margin-right: 1em;
}

.anno-generate-action{
    background-color: beige;
    padding: 0.2em;
    margin-top: 0.2em;
}


.refresh-auth-button {

}

.refresh-auth-progress {
    display: none;
}